Package Details: muse-git 4.0.0-1

Git Clone URL: https://aur.archlinux.org/muse-git.git (read-only, click to copy)
Package Base: muse-git
Description: A MIDI/Audio sequencer with recording and editing capabilities
Upstream URL: http://muse-sequencer.org/
Keywords: alsa daw jack music
Licenses: GPL2
Conflicts: muse
Provides: muse-git
Submitter: milk
Maintainer: aquilarubra
Last Packager: aquilarubra
Votes: 1
Popularity: 0.194996
First Submitted: 2019-02-03 23:47
Last Updated: 2020-01-19 18:58

Dependencies (24)

Required by (0)

Sources (1)

Latest Comments

1 2 Next › Last »

yochananmarqos commented on 2020-01-27 19:53

@aquilarubra: For one, v4.0.0 does not exist. You can't just invent a pkgver. Build the package, the pkgver gets updated, push the changes. It's as simple as that. I'm not going to argue with you, I'm just asking you to follow package guidelines

aquilarubra commented on 2020-01-27 19:33

Yes, but it is then updated. As the pkgver variable is used below declaration, before the pkgver() function, I feel natural to leave the initialization. I didn't try to remove it - maybe I mistake, but it does no harm.

yochananmarqos commented on 2020-01-27 19:27

@aquilarubra: No, I mean the pkgver in the PKGBUILD here is still 4.0.0.

aquilarubra commented on 2020-01-27 18:53

Strange, when I compiled, I got a file with the correct version, 3.1... etc.

yochananmarqos commented on 2020-01-27 18:11

@aquilarubra: When makepkg is run, the pkgver() array will automatically update the pkgver. That was not done here, the fictitious 4.0.0 is still in use.

aquilarubra commented on 2020-01-27 17:44

I built it and it works. Closed

yochananmarqos commented on 2020-01-20 01:11

@aquilarubra: Not quite. You missed something, see my previous comment. Please actually use makepkg to build this before pushing updates.

yochananmarqos commented on 2020-01-12 23:20

Packages provide themselves, this should only provide and conflict with muse.

Don't rename the source to muse-git.

Please use a pkgver() function per VCS package guidelines:

pkgver() {
    cd "$srcdir/muse"
    printf "%s" "$(git describe --long --tags | sed 's/\([^-]*-\)g/r\1/;s/-/./g;s/_/./g;s/muse.//g')"
}
3.1.0.pre4.r94.688061c5

aquilarubra commented on 2019-11-07 19:09

Thank you, fixes applied. Sorry for the delay.

usrmusicman commented on 2019-11-02 21:27

You forgot a space after harfbuzz in the sed line.

PKGBUILD line looks like this:

sed -i -e 's/CXX_INCLUDES = /CXX_INCLUDES = -I\/usr\/include\/harfbuzz/' muse/lv2Gtk2Support/CMakeFiles/lv2_gtk2_support.dir/flags.make

It should look like this or the haffbuzz option won't take. This is because the make application looks at the two options as one and doesn't apply the harfbuzz fix. To fix it do this:

sed -i -e 's/CXX_INCLUDES = /CXX_INCLUDES = -I\/usr\/include\/harfbuzz /' muse/lv2Gtk2Support/CMakeFiles/lv2_gtk2_support.dir/flags.make You may want to add an option to make as well.

Also add this makeflag to your PKGBUILD to enable this useful LV2 feature.

-DENABLE_LV2_MAKE_PATH=1

you may want to set pkgver=$(date +%Y%m%d) instead of pkgver=4.0.0 for easy updating.

The last thing is please change gcc-libs-multilib to gcc-libs, python2 to python and python2-pyqt5 to pyqt5-common. Then remove ladish lib32-gtk2 and dssi-vst as these either are not supported by the Arch repos or just don't flat out work anymore. Ladish is no longer used/maintained so raysession and nsm is better for session management now. Especially, dssi-vst and linvst/carla replace it anyways now.

Check my PKGBUILD it works and has been modernized

https://pastebin.com/midzGNug

Hope this helps.